package de.ivu.elect.interfaces.core.konfiguration;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

/**
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class Gebietsart implements Serializable {

  @XmlElement(required = true)
  private String name;

  @XmlElement(required = true)
  private Long position;

  @XmlElement(required = true)
  private Icon icon;

  @XmlElement(required = false)
  private String titel;

  @XmlElement(required = false)
  private String kennzeichen;

  @XmlElement(required = true)
  private Bezirksart bezirksart;

  @XmlElement(required = false) // Nicht benötigt wegen Abwärtskompatibilität
  private String darstellung;

  @XmlElement(required = false) // Nicht benötigt wegen Abwärtskompatibilität
  private String systemGebietsebene;

  public Bezirksart getBezirksart() {
    return bezirksart;
  }

  public void setBezirksart(Bezirksart bezirksart) {
    this.bezirksart = bezirksart;
  }

  public Icon getIcon() {
    return icon;
  }

  public void setIcon(Icon icon) {
    this.icon = icon;
  }

  public String getKennzeichen() {
    return kennzeichen;
  }

  public void setKennzeichen(String kennzeichen) {
    this.kennzeichen = kennzeichen;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Long getPosition() {
    return position;
  }

  public void setPosition(Long position) {
    this.position = position;
  }

  public String getTitel() {
    return titel;
  }

  public void setTitel(String titel) {
    this.titel = titel;
  }

  public String getDarstellung() {
    return darstellung;
  }

  public void setDarstellung(String darstellung) {
    this.darstellung = darstellung;
  }

  public String getSystemGebietsebene() {
    return systemGebietsebene;
  }

  public void setSystemGebietsebene(String systemGebietsebene) {
    this.systemGebietsebene = systemGebietsebene;
  }
}
